Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class ServerDataCollector

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.management.ServerDataCollector

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServerDataCollectorMBean, Service, ServiceMBean

public class ServerDataCollector
extends ServiceMBeanSupport
implements ServerDataCollectorMBean

JBoss Management MBean Wrapper

Author:
  Marc Fleury

Field Summary
`static java.lang.String` | `JMX_NAME`
`static java.lang.String` | `JNDI_NAME`

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.management.ServerDataCollectorMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`ServerDataCollector()` Default (no-args) Constructor
`ServerDataCollector(java.lang.String pName)` Constructor with the necessary attributes to be set

Method Summary
`management.J2EEApplication` | `getApplication(java.lang.String pApplicationId)` Returns an application if found with the given key.
`java.util.Collection` | `getApplications()`
`java.lang.String` | `getJNDIName()`
`java.lang.String` | `getName()`
`java.util.Collection` | `getNodes()`
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`int` | `getRefreshSleep()`
`java.util.Collection` | `getResources()`
`protected void` | `initService()`
`void` | `refresh()` Informs this intance the environment changes and he should update its data
`void` | `refreshNow()` Informs this intance the environment changes and he should update its data right NOW
`void` | `setRefreshSleep(int pSleep)` Sets the Sleep time (in milliseconds) between two refresh cycles
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### JNDI_NAME

    public static java.lang.String JNDI_NAME

### JMX_NAME

    public static java.lang.String JMX_NAME

Constructor Detail

### ServerDataCollector

    public ServerDataCollector()

  Default (no-args) Constructor
  Parameters:
    `pName` - Name of the MBean

### ServerDataCollector

    public ServerDataCollector(java.lang.String pName)

  Constructor with the necessary attributes to be set
  Parameters:
    `pName` - Name of the MBean

Method Detail

### getRefreshSleep

    public int getRefreshSleep()

  Specified by:
    `getRefreshSleep` in interface `ServerDataCollectorMBean`
  Following copied from interface: `org.jboss.management.ServerDataCollectorMBean`
  Returns:
    Sleep period in milliseconds between to refresh cycles

### setRefreshSleep

    public void setRefreshSleep(int pSleep)

  Description copied from interface: `ServerDataCollectorMBean`
  Sets the Sleep time (in milliseconds) between two refresh cycles
  Specified by:
    `setRefreshSleep` in interface `ServerDataCollectorMBean`
  Following copied from interface: `org.jboss.management.ServerDataCollectorMBean`
  Parameters:
    `pSleep` - Sleep period in milliseconds

### refresh

    public void refresh()

  Description copied from interface: `ServerDataCollectorMBean`
  Informs this intance the environment changes and he should update its data
  Specified by:
    `refresh` in interface `ServerDataCollectorMBean`

### refreshNow

    public void refreshNow()

  Description copied from interface: `ServerDataCollectorMBean`
  Informs this intance the environment changes and he should update its data right NOW
  Specified by:
    `refreshNow` in interface `ServerDataCollectorMBean`

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                     javax.management.ObjectName name)
                                              throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### getJNDIName

    public java.lang.String getJNDIName()

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### getApplication

    public management.J2EEApplication getApplication(java.lang.String pApplicationId)

  Description copied from interface: `ServerDataCollectorMBean`
  Returns an application if found with the given key.
  Specified by:
    `getApplication` in interface `ServerDataCollectorMBean`
  Following copied from interface: `org.jboss.management.ServerDataCollectorMBean`
  Parameters:
    `pApplicationId` - Id of the application to be retrieved
  Returns:
    Application if found or null if not

### getApplications

    public java.util.Collection getApplications()

  Specified by:
    `getApplications` in interface `ServerDataCollectorMBean`
  Following copied from interface: `org.jboss.management.ServerDataCollectorMBean`
  Returns:
    All the registered applications where the element is of type `Application`.

### getResources

    public java.util.Collection getResources()

  Specified by:
    `getResources` in interface `ServerDataCollectorMBean`
  Following copied from interface: `org.jboss.management.ServerDataCollectorMBean`
  Returns:
    All the registered resources of this server. All are of type `J2EEResource`.

### getNodes

    public java.util.Collection getNodes()

  Specified by:
    `getNodes` in interface `ServerDataCollectorMBean`
  Following copied from interface: `org.jboss.management.ServerDataCollectorMBean`
  Returns:
    All the nodes of this server running. All are of type `Node`.

### initService

    protected void initService()
                        throws java.lang.Exception

  Overrides:
    `initService` in class `ServiceMBeanSupport`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    protected void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.